// apis_book.js

// 获取所有图书
import {get, post,put, deleteRequest} from "./api.js";

// 分页查询（查询参数通过URL传递）
export const getBooks = async (data) => {
    return get(`/book/books`,data);
};

// 新增（POST）
export const addBook = async (bookData) => {
    return post("/book/books", bookData);
};

// 更新（PUT，注意路径拼接ID）
export const updateBook = async (bookId, bookData) => {
    return put(`/book/books/${bookId}`, bookData); // 关键修正：拼接ID
};

// 删除（DELETE，注意路径拼接ID）
export const deleteBook = async (bookId) => {
    return deleteRequest(`/book/books/${bookId}`); // 关键修正：拼接ID
};
