// src/store/index.js

import { createStore } from 'vuex'
import userModule from './modules/user' // 用户模块

// 创建 Vuex 存储实例
const store = createStore({
    // 组合各个模块
    modules: {
        user: userModule // 注册用户模块（带命名空间）
    },

    // 全局状态（可选）
    state: {
        appName: 'libroro'
    },

    // 全局 mutations（可选）
    mutations: {
        SET_APP_NAME(state, name) {
            state.appName = name
        }
    },

    // 严格模式（仅开发环境）
    strict: process.env.NODE_ENV !== 'production'
})

export default store
