import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import { resolve } from 'path' // npm install path --save-dev
// vite.config.js
export default defineConfig({
  plugins: [vue()],
  resolve: {
    alias: {
      '@': resolve(__dirname, 'src')  // 设置 @ 指向 src 目录
    }
  },
  server: {
    host: '127.0.0.1',
    port: 5555,
    proxy: {
      '/api': {
        target: 'http://127.0.0.1:10300',
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/api/, '/api'), // 保持路径不变
        secure: false,
        ws: true
      }
    }
  }
})
